<?php
    class Signature extends Core {

        function get() {

            $id = $_GET['id'];
            $sql = "SELECT signature_plan_id, signature_date, plan_signature FROM leads WHERE id = ?";
            $stmt = parent::$conn->prepare($sql);
            $stmt->execute([ $id ]);
            $signature = $stmt->fetch(PDO::FETCH_ASSOC);

            return [ 'type' => 'OK', 'data' => $signature ];

        }

    }